package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import java.time.Year;
import java.util.List;

/**
 * POJO for BookDB.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class Book {

    private long id;
    @NonNull private long isbn;
    @NonNull private List<Author> authors;
    @NonNull private Publisher publisher;
    @NonNull private Category category;
    @NonNull private String title;
    @NonNull private Year year;

    /**
     * saved in cents.
     */
    @NonNull private int price;
    @NonNull private String description;
    @NonNull private String image;



}