package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.Book;
import de.hsel.itech.db.pojo.ShoppingCartItem;
import de.hsel.itech.db.pojo.User;
import lombok.Getter;
import lombok.Setter;

import javax.faces.annotation.ManagedProperty;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import java.util.ArrayList;
import java.util.List;

@ManagedBean
@RequestScoped
public class CartBean {

    @Setter
    @ManagedProperty("#{userBean.user}")
    private User user;

    @Setter
    @Getter
    private long isbn;

    public User getUser() {
        FacesContext context = FacesContext.getCurrentInstance();
        return (User) context.getApplication().evaluateExpressionGet(context,"#{userBean.user}", User.class);
    }

    public String add(){
        System.out.println("isbn: " + isbn);
        if(Database.getInstance().book().exists(isbn)){
            Book book = Database.getInstance().book().get(isbn);
            Database.getInstance().shoppingCart().insert(new ShoppingCartItem(user,book,1));
        }else{
            return "index.jsf";
        }
        return "cart.jsf";
    }

    public List<ShoppingCartItem> getItems(){
        Database db = Database.getInstance();
        if(user==null){
            return new ArrayList<ShoppingCartItem>();
        }
        return db.shoppingCart().get(user);
    }

    public void setItems(List<ShoppingCartItem> list) {

    }

    public int getItemCount(){
        return getItems().size();
    }

}
