package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.User;
import lombok.Getter;
import lombok.Setter;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean
@SessionScoped
public class UserBean {

    @Getter
    private User user;

    @Getter
    @Setter
    private String username;

    @Getter
    @Setter
    private String email;

    @Getter
    @Setter
    private String password;

    @Getter
    private boolean loggedIn = false;

    @Getter
    private boolean error = false;


    public String login() {
        Database db = Database.getInstance();
        User user = db.user().get(username);

        if (user == null) {
            error = true;
            return "";
        }

        if (db.user().verify(user, password)) {
            loggedIn = true;
            this.user = user;
            password = null;
            username = null;
            return "index.xhtml";
        }
        error = true;
        return "";
    }

    public String logout() {
        user = null;
        return "index.html";
    }

    public String register() {
        Database db = Database.getInstance();

        if(username != null && email != null && password != null) {
            User user = new User(email, username, password, (short) 1);
            db.user().insert(user);
            email = null;
            username = null;
            password = null;
            return "login.xhtml";
        }

        return "";
    }

}